#### D.3.2.9 adjoint

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  adjoint(A); A = square matrix

Return:
  adjoint matrix of A, i.e. Adj*A=det(A)*E

Note:
  computation uses busadj(A)

Example:

    LIB "linalg.lib";
    ring r=0,(t,x),lp;
    matrix A[2][2]=1,x2,x,x2+3x;
    print(A);
    ==> 1,x2,
    ==> x,x2+3x
    matrix Adj[2][2]=adjoint(A);
    print(Adj);                    //Adj*A=det(A)*E
    ==> x2+3x,-x2,
    ==> -x,   1
    print(Adj*A);
    ==> -x3+x2+3x,0,
    ==> 0,        -x3+x2+3x

User manual for Singular version 4.4.1, 2025, generated by texi2html.